Page MenuHomePhabricator

when adapting references in Special:ContentTranslation, make sure that the actual references is adapted and not just <ref name="X" />
Closed, ResolvedPublic

Description

See https://id.wikipedia.org/w/index.php?title=Coming_to_Homerica&oldid=8387398 .

There is a <ref> error at the bottom.

What happened is that the article was translated partially and only one instance of <ref name="FF" /> was adapted. The actual content of the footnote, which appears further in the article, was not adapted.

This should be smarted and more automatic.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterReferences: Update the implementation to match new Parsoid output

Event Timeline

Amire80 created this task.Jan 18 2015, 4:34 PM
Amire80 raised the priority of this task from to Medium.
Amire80 updated the task description. (Show Details)
Amire80 added a project: ContentTranslation.
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2015, 4:34 PM
Amire80 set Security to None.
Arrbee edited a custom field.Feb 25 2015, 5:54 AM
Arrbee edited projects, added LE-Sprint-84; removed LE-Sprint-83.Feb 25 2015, 3:29 PM

Change 194468 had a related patch set uploaded (by Santhosh):
References: Update the implementaiton to match new Parsoid output

https://gerrit.wikimedia.org/r/194468

Amire80 raised the priority of this task from Medium to High.Mar 7 2015, 12:31 PM
Amire80 edited a custom field.

Change 194468 merged by jenkins-bot:
References: Update the implementation to match new Parsoid output

https://gerrit.wikimedia.org/r/194468

santhosh closed this task as Resolved.Mar 11 2015, 6:39 AM
santhosh claimed this task.
santhosh edited projects, added LE-Sprint-83; removed LE-Sprint-84.
Arrbee moved this task from Backlog to Done on the LE-Sprint-83 board.Mar 11 2015, 7:25 AM
Amire80 lowered the priority of this task from High to Medium.Jun 25 2015, 10:55 PM
Amire80 moved this task from Long term to CX6 on the ContentTranslation board.